grk::BlockExec Struct Referenceabstract

`#include <BlockExec.h>`

Inheritance diagram for grk::BlockExec:

## Public Member Functions

| BlockExec ()
virtual bool | open (T1Interface *t1)=0
virtual | ~BlockExec ()=default

## Public Attributes

TileComponent * | tilec
uint8_t | bandIndex
uint8_t | bandNumbps
eBandOrientation | bandOrientation
float | stepsize
uint8_t | cblk_sty
uint8_t | qmfbid
uint32_t | x
uint32_t | y
uint8_t | k_msbs
uint8_t | R_b

## Constructor & Destructor Documentation

## BlockExec()

grk::BlockExec::BlockExec | ( |  | ) |

inline

## ~BlockExec()

virtual grk::BlockExec::~BlockExec | ( |  | ) |

virtual default

## Member Function Documentation

## open()

virtual bool grk::BlockExec::open | ( | T1Interface * | t1 | ) |

pure virtual

Implemented in grk::DecompressBlockExec, and grk::CompressBlockExec.

## Member Data Documentation

## bandIndex

uint8_t grk::BlockExec::bandIndex

## bandNumbps

uint8_t grk::BlockExec::bandNumbps

Referenced by ojph::RoiScaleOJPHFilter< T >::RoiScaleOJPHFilter(), ojph::ScaleOJPHFilter< T >::ScaleOJPHFilter(), and openhtj2k::ScaleOpenHTJ2KFilter< T >::ScaleOpenHTJ2KFilter().

## bandOrientation

eBandOrientation grk::BlockExec::bandOrientation

Referenced by openhtj2k::T1OpenHTJ2K::compress(), and openhtj2k::T1OpenHTJ2K::decompress().

## cblk_sty

uint8_t grk::BlockExec::cblk_sty

Referenced by openhtj2k::T1OpenHTJ2K::compress(), and openhtj2k::T1OpenHTJ2K::decompress().

## k_msbs

uint8_t grk::BlockExec::k_msbs

Referenced by ojph::T1OJPH::compress(), ojph::T1OJPH::decompress(), and openhtj2k::T1OpenHTJ2K::decompress().

## qmfbid

uint8_t grk::BlockExec::qmfbid

Referenced by openhtj2k::T1OpenHTJ2K::decompress().

## R_b

uint8_t grk::BlockExec::R_b

Referenced by openhtj2k::T1OpenHTJ2K::decompress().

## stepsize

float grk::BlockExec::stepsize

Referenced by openhtj2k::T1OpenHTJ2K::decompress().

## tilec

TileComponent* grk::BlockExec::tilec

Referenced by ojph::T1OJPH::decompress(), and openhtj2k::T1OpenHTJ2K::decompress().

## x

uint32_t grk::BlockExec::x

## y

uint32_t grk::BlockExec::y

The documentation for this struct was generated from the following file:

- BlockExec.h